com.corticon.services.databasedrivers

## Interface IDatabaseDriverManager

-     public interface IDatabaseDriverManager

  This interface allows the user to create a new Connection using DataDirect Drivers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.Connection` | `getConnection(java.lang.String astrDatasourceName, java.lang.String astrDriverId, java.lang.String astrConnectionString, boolean abUseKerberos)` This method allows the user to get a Connection to a Database.
    `java.sql.Connection` | `getConnection(java.lang.String astrDataSourceName, java.lang.String astrDriverId, java.lang.String astrConnectionString, java.lang.String astrUsername, java.lang.String astrPassword)` This method allows the user to get a Connection to a Database.

- - ### Method Detail

    - #### getConnection

          java.sql.Connection getConnection(java.lang.String astrDataSourceName,
                                            java.lang.String astrDriverId,
                                            java.lang.String astrConnectionString,
                                            java.lang.String astrUsername,
                                            java.lang.String astrPassword)
                                     throws java.lang.Exception

      This method allows the user to get a Connection to a Database. If the DataSource has already been created by a subsequent call or through a JNDI registration, then they a Connection will be returned from the DataSource that has been cached using the astrDataSourceName argument. If the DataSource has been established, then a new DataSource will be created using the astrDriver, astrConnectionString, astrUsername, and astrPassword. If a valid DataSource can be established, it will be cached for reuse using the astrDataSourceName argument. This method is identical to the overload of `getConnection(String,String,String)` with the exception that this method uses the supplied username and password arguments to authenticate.
      Parameters:
        `astrDataSourceName` - String A logical name that can be used to lookup a cached DataSource.
        `astrDriver` - String A fully qualified Driver Class name or a DataDirect Database Driver ID.
        `astrUrl` - String The URL to be used to connect to the desired Database.
        `astrUsername` - String The username to be used to connect to the Database.
        `astrPassword` - String The password to be used to connect to the Database.
      Returns:
        Connection A new Connection object from the DataSource.
      Throws:
        `java.lang.Exception` - Exceptions can be thrown due to invalid arguments, license restrictions, or issues connecting to the Database.

    - #### getConnection

          java.sql.Connection getConnection(java.lang.String astrDatasourceName,
                                            java.lang.String astrDriverId,
                                            java.lang.String astrConnectionString,
                                            boolean abUseKerberos)
                                     throws java.lang.Exception

      This method allows the user to get a Connection to a Database. If the DataSource has already been created by a subsequent call or through a JNDI registration, then they a Connection will be returned from the DataSource that has been cached using the astrDataSourceName argument. If the DataSource has been established, then a new DataSource will be created using the astrDriver, astrConnectionString, using kerberos to authenticate. If a valid DataSource can be established, it will be cached for reuse using the astrDataSourceName argument. This method is identical to the overload of `getConnection(String,String,String,String,String)` with the exception that this method supports kerberos authentication.
      Parameters:
        `astrDatasourceName` - String A logical name that can be used to lookup a cached DataSource.
        `astrDriverId` - String A fully qualified Driver Class name or a DataDirect Database Driver ID.
        `astrConnectionString` -
        `abUseKerberos` - if set to true this method will attempt to use kerberos authentication, if set to false no authentication will be attempted.
      Returns:
      Throws:
        `java.lang.Exception`

Copyright © 2005-2018 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.